### Method

# EDataServer SourceAlarms set_for_every_event

since: 3.52

#### Declaration [src]

    void
    e_source_alarms_set_for_every_event (
      ESourceAlarms* extension,
      gboolean for_every_event
    )

#### Description [src]

Sets whether the user should be alerted about every event in the calendar described by the `ESource` to which `extension` belongs.

This is used in addition to the GSettings key defall-reminder-enabled in org.gnome.evolution-data-server.calendar.

Available since: 3.52

Sets property | `EDataServer.SourceAlarms:for-every-event`

#### Parameters

`for_every_event`

  Type: `gboolean`

  Whether to show alarms for every event.